@font-face{ 
    font-family: "NeueHaasGroteskDisp Pro";
    font-weight: bold; 
    src: local('☺'), url('../media/fonts/Neue Haas Grotesk Display Pro 75 Bold.woff') format('woff');
}
@font-face{ 
    font-family: "NeueHaasGroteskDisp Pro Md";
    font-weight: normal; 
    src: local('☺'), url('../media/fonts/Neue Haas Grotesk Display Pro 65 Medium.woff') format('woff');
}
@font-face{ 
    font-family: "NeueHaasGroteskDisp Pro Blk";
    font-weight: bold; 
    src: local('☺'), url('../media/fonts/Neue Haas Grotesk Display Pro 95 Black.woff') format('woff');
}




/* -------------------------- */
/* general                    */
/* -------------------------- */


html {
    margin: 0px;
    padding: 0px;
    width: 100%;
    height: 100%;
}


.canvas_shareable{
    position: absolute;
    display: none;
    left:0px;
    right:0px;
    z-index: 1005;
}


body {
    position: absolute;
    right:0px;
    left:0px;
    top:0px;
    bottom:0px;
    margin: 0px;
    padding: 0px;
    overflow: hidden;
    -ms-user-select: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    user-select: none;
    -webkit-touch-callout: none;
    -webkit-user-drag: none; 
    -webkit-user-callout: none;
    -ms-touch-action: manipulation !important;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;


    background-position: center;
    background-size: cover;
    background-image: radial-gradient(circle farthest-corner, rgb(40,40,40) 60%, rgb(10,10,10));
}

a { color: inherit; } 

/* -------------------------- */
/* canvases                   */
/* -------------------------- */

#wrapper{
  position: absolute;
  display: block;
  top: 0px; 
  left: 0px;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  transform-origin: 0% 0%;
  -webkit-transform-origin: 0% 0%;
  -ms-transform-origin: 0% 0%;
  overflow: hidden;

}

#canvas_game {
  position: absolute;
  display: none;
  top: 0px; 
  left: 0px;
  background-color: #000000;
  pointer-events: none;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

#canvas_messages {
  position: absolute;
  display: block;
  top: 0px; 
  left: 0px;
  display: none;
  pointer-events: none;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}


#canvas_background {
    position: absolute;
    display: block;
    top: 0px; 
    left: 0px;
    width:100%;
    height: 100%;
    background-repeat: repeatt;
    background-position: center;
    background-size: 60%;
    background-image: url('../media/images/grass_ui.jpg');
}



#canvas_screens {
    position: absolute;
    display: block;
    top: 0px; 
    left: 0px;
    height: 300px;
    overflow: hidden;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;

}

#canvas_mute {
  position: absolute;
  display: block;
  left: 0px; 
  top: 0px;
  width: 64px;
  height: 180px;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

#canvas_quit {
  position: absolute;
  display: block;
  right: 0px; 
  top: 0px;
  width: 52px;
  height: 52px;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

#canvas_overlay {
  position: absolute;
  display: none;
  top: 0px; 
  left: 0px;
  background: transparent;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

#canvas_popups {
  position: absolute;
  display: none;
  top: 0px; 
  left: 0px;
  background-color: rgb(0,0,0, 0.5);
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

#fader {
  position: absolute;
  top: 0px; 
  left: 0px;
  width: 100%;
  height: 100%;
  background-color: rgb(0,0,0);
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  pointer-events: none;

    background-position: center;
    background-size: cover;
    background-image: radial-gradient(circle farthest-corner, rgb(40,40,40) 60%, rgb(10,10,10));
}

#cover{
  position: absolute;
  display: block;
  top: 0px; 
  left: 0px;
  width: 100%;
  height: 100%;
  background-color: #000000;
}


/* -------------------------- */
/* landscape / screensize     */
/* -------------------------- */

#orientation_overlay {
  position: absolute;
  display: none;
  top: 0px; 
  left: 0px;
  width: 100%;
  height: 100%;
  z-index: 1000;
  background-color: #000000;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

#div_errors{
    position: absolute;
    display: none;
    left: 0px;
    top: 0px;
    z-index: 1002;
    font-family: Arial, Helvetica;
    width: 100%;
    height: 100%;
    opacity: 1;
    font-size: 14px;
    color: #ffffff;
    background-color: black;
}

#debug{
  position: absolute;
  display: none;
  top: 0px; 
  left: 0px;
  z-index: 2000;
  overflow: auto;
  height: 100%;
  padding: 20px;
  color: red;
  font-family: sans-serif;
  background-color: rgba(0,0,0,0.4);
  pointer-events: none;
}

.physics_debug {
  position: absolute;
  display: block;
  z-index: 10000;
  transform: scale(1,-1);
  pointer-events: none;

}




/*--------------------------------------------------------*/
/*  loading                                               */
/*--------------------------------------------------------*/


.loading_screen{
  position: absolute;
  display: block;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: transparent;
  }

.loading_block{
  position: absolute;
  display: block;
  text-align: center;
  pointer-events: none;
  width: 512px;
 }

 .loading_logo{
    position: relative;
    display: inline-block;
    max-width: 100%;
 }

 .loading_msg{
    position: relative;
    display: inline-block;
    pointer-events: none;
    color: #ffffff;
    font-size: 20px;
    text-align: center;
    font-family: "Poppins";
    font-weight: bold;  
 }

 .loading_bar{
    position: relative;
    display: inline-block;
    width: 100%;
    max-width: 300px;
    height: 24px;
    background:  rgba(0,0,0,0.5);
    margin-top: 10px;
    border-radius: 12px;
    -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
    -moz-box-sizing: border-box;    /* Firefox, other Gecko */
    box-sizing: border-box;         /* Opera/IE 8+ */
 }

.loading_bar_fill{
    position: absolute;
    display: block;
    width: 0%;
    height: 100%;
    border-radius: 12px;
    background:  #ffffff;
    -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
    -moz-box-sizing: border-box;    /* Firefox, other Gecko */
    box-sizing: border-box;         /* Opera/IE 8+ */
 }

.loading_bar_frame{
    position: absolute;
    display: none;
    width: 100%;
    height: 100%;
    border-radius: 12px;
    border: 4px solid #000000;
    -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
    -moz-box-sizing: border-box;    /* Firefox, other Gecko */
    box-sizing: border-box;         /* Opera/IE 8+ */
 }



